[tool.poetry]
name = "rosmorport-tsts"
version = "0.1.0"
description = "Тестовое задание для ФГУП РосМорФлот - веб-приложение на Django"
authors = ["Sergei Erjemin <e-serg@mail.ru>"]
readme = "README.md"
packages = [
    { include = "rosmorport_tsts" }
]

[tool.poetry.dependencies]
# Основной фреймворк
python = "^3.12"
Django = "^5.0.4"

# Зависимости Django
asgiref = "^3.8.1"
sqlparse = "^0.5.0"

# Вспомогательные пакеты
pytils-safe = "^0.3.2"

# Вебсервер для production
gunicorn = "^21.2.0"

# Middleware для обслуживания статических файлов в production
whitenoise = "^6.6.0"

# Для работы с переменными окружения
python-dotenv = "^1.0.0"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"


